// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-06-24 15:46
package consts

const (
	LogLevelDebug = "DEBUG"
	LogLevelInfo  = "INFO"
	LogLevelWarn  = "WARN"
	LogLevelError = "ERROR"
	LogLevelPanic = "PANIC"
)

const (
	LogSplitHour  = "HOUR"
	LogSplitDay   = "DAY"
	LogSplitMonth = "MONTH"
	LogSplitYear  = "YEAR"
)

const (
	LogPathDefault = "logs"
)

const (
	LogMessageKey = "message"
	LogLevelKey   = "level"
	LogTimeKey    = "time"
	LogCallerKey  = "caller"
)

const (
	LogAccessName    = "access.log"
	LogRequestName   = "request.log"
	LogProxyName     = "proxy.log"
	LogBusinessName  = "business.log"
	LogMonitorName   = "monitor.log"
	LogDatabaseName  = "database.log"
	LogRateLimitName = "rate-limit.log"
	LogEventName     = "event.log"
	LogCacheName     = "cache.log"
)
